# Get deposits

## Deposits Endpoint

> Retrieve the details of all your Deposits in a given time.

```json
{"openapi":"3.0.0","info":{"title":"Reconciliation API - Deposits Endpoint","version":"1.0.0"},"servers":[{"url":"https://merchants-api.directa24.com/v1","description":"Production Server"},{"url":"https://merchants-api-stg.directa24.com/v1","description":"Staging Server"}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"BEARER_TOKEN"}},"schemas":{"PaginatedDeposits":{"allOf":[{"$ref":"#/components/schemas/Pagination"},{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Deposit"}}}}]},"Pagination":{"type":"object","properties":{"page":{"type":"integer"},"rows":{"type":"integer"},"maxRows":{"type":"integer"}}},"Deposit":{"type":"object","properties":{"idDeposit":{"type":"integer"},"externalId":{"type":"string"},"creationDate":{"type":"string","format":"date-time"},"countryName":{"type":"string"},"country":{"type":"string"},"paymentMethodName":{"type":"string"},"paymentMethodCode":{"type":"string"},"requestedPaymentMethod":{"type":"string"},"requestedPaymentMethodName":{"type":"string"},"clientDocument":{"type":"string"},"amount":{"type":"number","format":"float"},"currency":{"type":"string"},"requestedAmount":{"type":"number","format":"float"},"requestedCurrency":{"type":"string"},"localAmount":{"type":"number","format":"float"},"localCurrency":{"type":"string"},"fee":{"type":"number","format":"float"},"feeCurrency":{"type":"string"},"lastChangeDate":{"type":"string","format":"date-time"},"status":{"type":"string"},"idUser":{"type":"string"},"flags":{"type":"array","items":{}},"idMerchant":{"type":"integer"},"merchantName":{"type":"string"},"refundAttempted":{"type":"boolean"}}}}},"paths":{"/deposits":{"get":{"summary":"Deposits Endpoint","description":"Retrieve the details of all your Deposits in a given time.","operationId":"getDeposits","tags":["Transactions"],"parameters":[{"name":"from","in":"query","description":"Transaction creation date interval in Unix TimeStamp format.","schema":{"type":"integer"}},{"name":"to","in":"query","description":"Transaction creation date interval in Unix TimeStamp format, max difference with 'from' value 60 days.","schema":{"type":"integer"}},{"name":"page","in":"query","description":"The page number.","schema":{"type":"integer","default":0}},{"name":"country","in":"query","description":"Country's code.","schema":{"type":"string","maxLength":2}},{"name":"paymentMethod","in":"query","description":"Payment Method code.","schema":{"type":"string","maxLength":2}},{"name":"status","in":"query","description":"Transaction's status.","schema":{"type":"string","enum":["PENDING","APPROVED","COMPLETED","CANCELLED","DECLINED"]}},{"name":"clientDocument","in":"query","description":"The customer's document.","schema":{"type":"string"}}],"responses":{"200":{"description":"A paginated list of deposits.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedDeposits"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-reference-1/reconciliation-api/retrieve-information/get-deposits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
